package sun.reflect.misc;

import java.lang.reflect.Constructor;

public final class ConstructorUtil
{
    private ConstructorUtil() {
    }
    
    public static Constructor<?> getConstructor(Class<?> clazz, Class<?>[] parameterTypes) throws NoSuchMethodException {
        ReflectUtil.checkPackageAccess(clazz);
        return clazz.getConstructor(parameterTypes);
    }
    
    public static Constructor<?>[] getConstructors(Class<?> clazz) {
        ReflectUtil.checkPackageAccess(clazz);
        return clazz.getConstructors();
    }
}
